function [C, Ceq, GC, GCeq] = f_bier_nonlcon(theta,LM,B)

% Make the smoothness constraint for the components in Theta
C = theta'*LM*theta - B;

% And the equality constraints
Ceq = 0;

% Get the gradient, but only if requested
if nargout > 1
    % The inequality one, the equality is meaningless
    GC = 2*LM*theta;
    GCeq = GC*0;
end